Bug 709466 - perl-libs should own vendor and site arch "auto" dirs
Summary: perl-libs should own vendor and site arch "auto" dirs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 18:56 UTC by Ville Skyttä
Modified: 2011-11-04 13:01 UTC (History)
9 users (show)

Fixed In Version: perl-5.12.4-161.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-04 13:01:18 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 732799 unspecified CLOSED perl rpm attempts writing to /usr/local 2020-10-14 00:28:05 UTC

Internal Links: 707960

Description Ville Skyttä 2011-05-31 18:56:32 UTC
$ rpm -qf /usr/lib64/perl5/vendor_perl/auto
file /usr/lib64/perl5/vendor_perl/auto is not owned by any package

Even though perl-libs does not install files into vendorarch/auto itself, it should install and own it so that arch specific addon packages done according to packaging guidelines won't have to do it or won't leave the dir unowned.  So the reason is basically the same as why perl-libs already installs and owns the vendorarch dir.

The same applies for sitearch/auto (/usr/local/lib64/perl5/auto here); I think perl-libs should both install and own it.  Currently it does that for only sitearch itself (/usr/local/lib64/perl5).

Comment 1 Marcela Mašláňová 2011-06-01 08:03:00 UTC
There are different opinions about ownership of /usr/local/* #707960

Comment 2 Ville Skyttä 2011-06-01 19:51:29 UTC
I cannot access that bug ("Access denied"), and I don't care much about the /usr/local part.   But I do have a strong opinion that /usr/lib64/perl5/vendor_perl/auto should be owned by perl-libs.

Comment 3 Iain Arnell 2011-08-26 12:13:13 UTC
This is fixed in git commit 3910a494 and cherry-picked for f15, but doesn't really merit a rebuild.

Comment 4 Petr Pisar 2011-10-03 14:53:01 UTC
perl-libs will own vendor directories. Because site directories are located under /usr/local they will not be owned (bug #732799).

Comment 5 Petr Pisar 2011-10-03 15:23:05 UTC
#rpm -qf  /usr/lib64/perl5/{,vendor_perl/}auto

F17:
perl-5.14.2-193.fc17.x86_64
perl-libs-5.14.2-193.fc17.x86_64
Fixed.
This will be unified to perl-libs as libperl.so is interpreter.

F16:
perl-5.14.1-187.fc16.x86_64
perl-libs-5.14.1-187.fc16.x86_64
Fixed.

F15:
perl-5.12.4-160.fc15.x86_64
perl-Sys-CPU-0.51-5.fc15.x86_64
Fix committed into f15 branch as perl-5.12.4-161.
perl-Sys-CPU owner notified in bug #743015.

F14:
Core and vendor paths is identical.
# rpm -qf  /usr/lib64/perl5/auto
perl-5.12.4-146.fc14.x86_64
Fixed.

So the only affected release is F15. This bug will be closed once perl-5.12.4-161.fc15 reaches F15 binary repository.

Comment 6 Petr Pisar 2011-11-04 13:01:18 UTC
perl-5.12.4-161.fc15 is stable.


Note You need to log in before you can comment on or make changes to this bug.